#ifdef QDOS
#include <stdio.h>
#include <dirent.h>
#include <unistd.h>
#include <sys/bsdtypes.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#  ifdef open
#   undef open
#  endif
#  ifdef stat
#   undef stat
#  endif
#  ifdef unlink
#   undef unlink
#  endif
#  define fopen(p1,p2)   ql_fopen(p1,p2)
#  define open(p1,p2,p3) ql_open(p1,p2,p3)
#  define access(p1,p2)  ql_access(p1,p2)
#  define stat(p1,p2)    ql_stat(p1,p2)
#  define unlink(p1)     ql_unlink(p1)
#  define remove(p1)     ql_unlink(p1)
#  define rename(p1,p2)  ql_rename(p1,p2)
#  define getcwd(p1,p2)  ql_getcwd(p1,p2)
   FILE *ql_fopen(char *, char *);
   int ql_access(char *, int);
   int ql_open(char *, int,...);
   int ql_stat(char *, struct stat *);
   int ql_unlink(char *);
   int ql_rename(char *, char *);
   char *ql_getcwd(char *buf, size_t size);
#define __QDOS__ 1
#ifdef HAVE_SYS_FILIO_H
#undef HAVE_SYS_FILIO_H
#endif
#ifdef HAVE_TTYTYPE
#undef HAVE_TTYTYPE
#endif
#endif
